Skip to main content
`Ctrl`+`K`

# Plummer1D

class astropy.modeling.physical_models.Plummer1D(mass=1.0, r_plum=1.0, **kwargs)

  Bases: `Fittable1DModel`

  One dimensional Plummer density profile model.

  Parameters:
    mass `python:float`

      Total mass of cluster.

    r_plum `python:float`

      Scale parameter which sets the size of the cluster core.

  Notes

  Model formula:

  \[\rho(r)=\frac{3M}{4\pi a^3}(1+\frac{r^2}{a^2})^{-5/2}\]

  References

  [1]

  https://ui.adsabs.harvard.edu/abs/1911MNRAS..71..460P

  Attributes Summary

  `input_units` | This property is used to indicate what units or sets of units the evaluate method expects, and returns a dictionary mapping inputs to units (or `None` if any units are accepted).
  `mass` |
  `param_names` | Names of the parameters that describe models of this type.
  `r_plum` |

  Methods Summary

  `evaluate`(x, mass, r_plum) | Evaluate plummer density profile model.
  `fit_deriv`(x, mass, r_plum) | Plummer1D model derivatives.

  Attributes Documentation

  input_units
  mass = Parameter('mass', value=1.0)
  param_names = ('mass', 'r_plum')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  r_plum = Parameter('r_plum', value=1.0)

  Methods Documentation

  static evaluate(x, mass, r_plum)

    Evaluate plummer density profile model.

  static fit_deriv(x, mass, r_plum)

    Plummer1D model derivatives.